[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: cfengine v2 -> v3



On 10/02/2010 05:29 PM, Jeff Sheltren wrote:

In the case of cfengine, v2 vs. v3:  v2 is no longer supported at all
from upstream.  However, I'm pretty sure that v2 clients will work
fine with a v3 server (someone please correct me if I'm wrong).
Because v2 is no longer supported upstream I'm hard pressed to find a
reason to support it in EPEL6 onwards.
>
-Jeff

I just ran into cfengine3 in rawhide, and it certainly is very different than v2. While it may communicate with a v2 server (no idea yet), I certainly need to develop a new set of configuration files.

/usr/bin/cfagent -> /usr/sbin/cf-agent

# cf-agent
Can't stat file "/var/cfengine/inputs/promises.cf" for parsing
 !!! System error for stat: "No such file or directory"
cf-agent was not able to get confirmation of promises from cf-promises, so going to failsafe
Can't stat file "/var/cfengine/inputs/failsafe.cf" for parsing
 !!! System error for stat: "No such file or directory"

Any good docs for migrating?

--
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion cora nwra com
Boulder, CO 80301              http://www.cora.nwra.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]